Name:           libsvg
Version:        0.1.4
Release:        5%{?dist}
Summary:        A library for parsing SVG documents
Group:          System Environment/Libraries
License:        LGPL
URL:            http://cairographics.org/libsvg
Source:         http://cairographics.org/snapshots/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libpng-devel, libjpeg-devel, libxml2-devel, zlib-devel
BuildRequires:  pkgconfig

%description
libsvg renders SVG documents but cannot render SVG alone.  It requires an
external rendering engine to be provided via a callback-based interface.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
# uses libjpeg and libpng headers, but doesn't link to the libs
Requires:       libpng-devel, libjpeg-devel, libxml2-devel, zlib-devel
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
chmod -x AUTHORS ChangeLog COPYING NEWS README TODO

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/libsvg.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/svg.h
%{_libdir}/libsvg.so
%{_libdir}/pkgconfig/libsvg.pc

%changelog
* Fri Sep 15 2006 Eric Work <work.eric@gmail.com> 0.1.4-5
- bumped version to prepare for FC6

* Thu Jun 08 2006 Eric Work <work.eric@gmail.com> 0.1.4-2
- added missing buildrequires
- added missing requires on devel package

* Wed May 31 2006 Eric Work <work.eric@gmail.com> 0.1.4-1
- initial release

